package io.renren.modules.app.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import io.renren.modules.app.dao.ZhxxSelectDao;
import io.renren.modules.app.entity.ZhxxSelectEntity;
import io.renren.modules.app.service.ZhxxSelectService;

@Service("zhxxSelectService")
public class ZhxxSelectServiceImpl extends ServiceImpl<ZhxxSelectDao, ZhxxSelectEntity> implements ZhxxSelectService {

	/**
	 * 幢号信息查询
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@Override
	public PageInfo<ZhxxSelectEntity> selectZhxxByPage(Integer pageNum, Integer pageSize,
			ZhxxSelectEntity zhxxSelectEntity) {
		PageHelper.startPage(pageNum, pageSize);
		if (zhxxSelectEntity.getWygsbm().equals("") ) {
			zhxxSelectEntity.setWygsbm(null);
		}
		if (zhxxSelectEntity.getGwhbm().equals("")) {
			zhxxSelectEntity.setGwhbm(null);
		}
		if (zhxxSelectEntity.getXmbm().equals("")) {
			zhxxSelectEntity.setXmbm(null);
		}
		List<ZhxxSelectEntity> list = baseMapper.selectZhxx(zhxxSelectEntity);
		for(ZhxxSelectEntity z:list){
			Double zz=baseMapper.selectdhgryj(z);//查每楼栋个人交的钱03，05
			Double zz2=baseMapper.selectdhgryj2(z);//查每楼栋个人退的钱13
			z.setGryjje(zz-zz2);
			if("是".equals(z.getSffp())){
				z.setDqye(z.getGryjje()+z.getDwyjje()-z.getZqje());
			}else if("否".equals(z.getSffp())){
				z.setDqye(z.getGryjje()+z.getDwze()-z.getZqje());
			}
			
		}
		PageInfo<ZhxxSelectEntity> pageInfo = new PageInfo<ZhxxSelectEntity>(list);
		return pageInfo;
	}

}
